Bug 248550 - cupsaddsmb does not track OrderDependencies, allowing collisions
Summary: cupsaddsmb does not track OrderDependencies, allowing collisions
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: cups   
(Show other bugs)
Version: 4.5
Hardware: All
OS: Linux
low
low
Target Milestone: ---
: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 430076
TreeView+ depends on / blocked
 
Reported: 2007-07-17 13:05 UTC by Matt Hyclak
Modified: 2008-07-24 19:32 UTC (History)
0 users

Fixed In Version: RHBA-2008-0669
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-24 19:32:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
RHEL4-ized patch (2.95 KB, patch)
2007-07-17 14:30 UTC, Matt Hyclak
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2008:0669 normal SHIPPED_LIVE cups bug fix and enhancement update 2008-07-23 15:02:47 UTC
CUPS Bugs and Features 1985 None None None Never

Description Matt Hyclak 2007-07-17 13:05:25 UTC
Description of problem:
cupsaddsmb does not track OrderDependencies, allowing collisions which can cause
PostScript errors. 

How reproducible:

Always

Steps to Reproduce:
1. Configure a printer with a PPD that uses the same OrderDependencies that
cupsaddsmb uses. In my case it was with a Dell Color Laser 3110cn 
2. Run cupsaddsmb to configure the PPD for use with samba
3. Print something
  
Actual results:

PostScript stack error

Expected results:

Job printed correctly

Additional info:

This has been fixed upstream and a patch is provided (str1985)

Comment 2 Matt Hyclak 2007-07-17 14:30:50 UTC
Created attachment 159440 [details]
RHEL4-ized patch

I ported the patch from upstream to RHEL 4. Tested with my Dell 3110cn PPD and
it seems to generate the new PPD correctly.

Comment 3 RHEL Product and Program Management 2007-11-29 04:17:27 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 9 errata-xmlrpc 2008-07-24 19:32:14 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0669.html


Note You need to log in before you can comment on or make changes to this bug.